### Signal

# Gtk Application::query-end

#### Declaration

    void
    query_end (
      GtkApplication* self,
      gpointer user_data
    )

#### Description [src]

Emitted when the session manager is about to end the session.

This signal is only emitted if `GtkApplication:register-session` is `TRUE`. Applications can connect to this signal and call `gtk_application_inhibit()` with `GTK_APPLICATION_INHIBIT_LOGOUT` to delay the end of the session until state has been saved.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.